> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 修改咏唱引擎 ROUTER 密码

> POST /v1/router/auth/password 允许已认证用户通过提供当前密码与新密码来修改自己的密码。

更新你的咏唱引擎 ROUTER 账户密码。你必须提供当前密码以授权此次修改。此接口对所有已认证用户开放。

## 接口

```http theme={null}
POST /v1/router/auth/password
```

## 认证

发送从登录获取的会话 Cookie，或携带 `Authorization: Bearer <api-key>`。

## 请求体

<ParamField body="current_password" type="string" required>
  你现有的密码。
</ParamField>

<ParamField body="new_password" type="string" required>
  要在账户上设置的新密码。
</ParamField>

## 响应

密码修改成功返回 `200 OK`，无响应体。

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://router.example.com:8080/v1/router/auth/password \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <api-key>" \
    -d '{"current_password":"secret123","new_password":"newsecret456"}'
  ```
</RequestExample>

<ResponseExample>
  ```text 200 theme={null}
  (No response body)
  ```
</ResponseExample>
